void savedata()//запись данных о темп и вл c espNOW на СД 
{
 delay(0);
JSONVar boardat;
if(min1<10)
{boardat["Time"] = String(hour1)+":0"+String(min1); 
}
else
{
  boardat["Time"] = String(hour1)+":"+String(min1); 
}
boardat["temperatura"] =String(t1)+" C";
boardat["humidity"] = String(h1)+" %";
tempdat = JSON.stringify(boardat);
delay(0);
 Serial.println (tempdat);
   esp_task_wdt_reset();//reset WDT
//JSON { "Time":"11:03", "temperatura":"10.56 C", "humidity":"7,56 %" },
tempdat=tempdat+"\n";

//myFile = SD.open("/07.txt",FILE_WRITE);
 // myFile = SD.open("/TEMPUL/28.txt", FILE_APPEND);//открываем файл в режиме добавления данных
 // myFile = SD.open("/TEMPUL/2022/FEB/27.txt", FILE_APPEND);//открываем файл в режиме добавления данных

// Serial.println ("open07");
// myFile.print(tempdat+"\n");
// myFile.close();
 //Serial.println (stamp.year);
//************************************************************************************************************************************************************************************************************************************
delay(0);
 Serial.println ("name2");
//  String name1="/TEMPUL"+ stryen[year1-2014]+strmen[stamp.month-1]+strden[stamp.day-1];
// Serial.println (name2);
createDir(SD, "/TEMPUL");
String name1="/TEMPUL"+ String(stryen[year1-2014]);//2022
 char Buf[50];
 name1.toCharArray(Buf, 50);
 Serial.println (Buf);
createDir(SD, Buf);
 name1=name1+String(strmen[month1-1]);//FEB
 name1.toCharArray(Buf, 50);
  Serial.println (Buf);
 createDir(SD, Buf);
 name1=name1+String(strden[data1-1]);//27
 name1.toCharArray(Buf, 50);
  Serial.println (Buf);
 createDir(SD, Buf);

 name1=name1+String(strdaten[0]);//
 name1.toCharArray(Buf, 50);
//createDir(SD, "/TEMPUL/2022/FEB/27");
// name1="/TEMPUL"+ String(stryen[year1-2014])+String(strmen[stamp.month-1])+String(strden[stamp.day-1])+String(strdaten[0]);
 Serial.println (Buf);
appendFile(SD,Buf,tempdat.c_str());//добавление на инфы в файл
  delay(0);
  JSstringU();
   writeFile(SD, "/thku1.txt", jsonString.c_str());//записываем в этот файл последние данные NOW + EpochTime
/*
//test = strcat(name1,name2);
String name1=strcat("/TEMPUL", stryen[year1-2014]);
String name2=strcat(strmen[stamp.month-1], strd[stamp.day-1]);

//+strm[stamp.month-1]+strd[stamp.day-1];

 String name1="/TEMPUL"+ stry[year1-2014]+strm[stamp.month-1]+strd[stamp.day-1];
 Serial.println (name2);
char Buf[50];
  name1.toCharArray(Buf, 50);  
createDir(SD, Buf);

name1=name1+ name2+strdaten[0];
 Serial.println (name1);
name1.toCharArray(Buf, 50);
*/

//****************************************************
}
